Skip to main content
GET
/
broadcasts
Ruby
Helo.configure do |config|
  config.access_token = "YOUR_BEARER_TOKEN"
end

opts = {
  channel_id: "550e8400-e29b-41d4-a716-446655440000",
  subject: "example",
  limit: 10,
  offset: 10
}
Helo::Broadcasts.list(opts)
{
  "totalCount": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "subject": "<string>",
      "completion": "<string>",
      "messages": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

channelId
string<uuid>
required
status
enum<string>
Available options:
accepted,
processing,
completed,
cancelled
subject
string
limit
integer<int32>
Required range: 1 <= x <= 500
offset
integer<int32>
Required range: x >= 0

Response

OK

totalCount
integer<int32>
required
results
object[]
required